Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class TextUIWrapper.DefaultWrapper

    java.lang.Object
      org.jdesktop.swingx.plaf.TextUIWrapper<PromptTextUI>
          org.jdesktop.swingx.plaf.TextUIWrapper.DefaultWrapper

Enclosing class:
  TextUIWrapper<UI extends javax.swing.plaf.TextUI>

    public static final class TextUIWrapper.DefaultWrapper

extends TextUIWrapper<PromptTextUI>

Nested Class Summary

Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.TextUIWrapper
`TextUIWrapper.DefaultWrapper`

Method Summary
`protected boolean` | `replaceUIIfNeeded(javax.swing.text.JTextComponent textComponent)` Every time the UI needs to be replaced we also need to make sure, that all buddy components are also in the component hierarchy.
`PromptTextUI` | `wrapUI(javax.swing.text.JTextComponent textComponent)` Creates a new `PromptTextUI`, which wraps the given `textComponent`s UI.

Methods inherited from class org.jdesktop.swingx.plaf.TextUIWrapper
`getDefaultWrapper, getWrapperClass, install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### wrapUI

    public PromptTextUI wrapUI(javax.swing.text.JTextComponent textComponent)

  Creates a new `PromptTextUI`, which wraps the given `textComponent`s UI.

  If the UI is already of type `PromptTextUI`, it will be returned. If `textComponent` is of type `JXSearchField` a new `SearchFieldUI` object will be returned. If `textComponent` is of type `JTextField` or `JTextArea` a `BuddyTextFieldUI` or `PromptTextAreaUI` will be returned, respectively. If the UI is of any other type, a `IllegalArgumentException` will be thrown.

  Specified by:
    `wrapUI` in class `TextUIWrapper<PromptTextUI>`
  Parameters:
    `textComponent` - wrap this components UI
  Returns:
    a `PromptTextUI` which wraps the `textComponent`s UI.

### replaceUIIfNeeded

    protected boolean replaceUIIfNeeded(javax.swing.text.JTextComponent textComponent)

  Every time the UI needs to be replaced we also need to make sure, that all buddy components are also in the component hierarchy. (That's because `BasicTextUI` removes all our buddies upon UI changes).

  Overrides:
    `replaceUIIfNeeded` in class `TextUIWrapper<PromptTextUI>`
  Returns:
    `true` if the UI has been replaced

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.